Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.producer.config.impl
Class ProducerConfigurationServiceImpl

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.wsrp.producer.config.impl.ProducerConfigurationServiceImpl

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, ProducerConfigurationService, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class ProducerConfigurationServiceImpl

extends AbstractJBossService
implements ProducerConfigurationService

Since:
  2.6
Version:
  $Revision: 9461 $
Author:
  Chris Laprun

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`ProducerConfigurationServiceImpl()`

Method Summary
`java.lang.String` | `getConfigLocation()`
`ProducerConfiguration` | `getConfiguration()`
`void` | `reloadConfiguration()` Reloads the producer configuration from persistent storage.
`void` | `saveConfiguration()` Saves the producer configuration to persistent storage.
`void` | `setConfigLocation(java.lang.String configLocation)`
`protected void` | `startService()`

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`createService, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProducerConfigurationServiceImpl

    public ProducerConfigurationServiceImpl()

Method Detail

### getConfigLocation

    public java.lang.String getConfigLocation()

### setConfigLocation

    public void setConfigLocation(java.lang.String configLocation)

### getConfiguration

    public ProducerConfiguration getConfiguration()

  Specified by:
    `getConfiguration` in interface `ProducerConfigurationService`

### startService

    protected void startService()
                         throws java.lang.Exception

  Overrides:
    `startService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### reloadConfiguration

    public void reloadConfiguration()
                             throws java.lang.Exception

  Description copied from interface: `ProducerConfigurationService`
  Reloads the producer configuration from persistent storage.

  Specified by:
    `reloadConfiguration` in interface `ProducerConfigurationService`
  Throws:
    `java.lang.Exception`

### saveConfiguration

    public void saveConfiguration()
                           throws java.lang.Exception

  Description copied from interface: `ProducerConfigurationService`
  Saves the producer configuration to persistent storage.

  Specified by:
    `saveConfiguration` in interface `ProducerConfigurationService`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD